Skip to main content
GET
/
waap
/
v1
/
domains
/
{domain_id}
/
rule-sets
Fetches rule sets associated with a specific domain
curl --request GET \
  --url https://api.gcore.com/waap/v1/domains/{domain_id}/rule-sets \
  --header 'Authorization: <api-key>'
[
  {
    "id": 123,
    "name": "<string>",
    "description": "<string>",
    "is_active": true,
    "tags": [
      {
        "id": 123,
        "name": "<string>",
        "description": "<string>"
      }
    ],
    "resource_slug": "<string>",
    "rules": []
  }
]

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

domain_id
integer
required

The domain ID

Response

Successful Response

id
integer
required

Identifier of the rule set.

name
string
required

Name of the rule set.

description
string
required

Detailed description of the rule set.

is_active
boolean
required

Indicates if the rule set is currently active.

tags
Tag · object[]
required

Collection of tags associated with the rule set.

resource_slug
string | null

The resource slug associated with the rule set.

rules
DomainPolicy · object[]